<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('guestbooks', function (Blueprint $table) {
            $table->id();
            $table->string('who', 50)->index()->comment('留言人');
            $table->string('towho', 50)->nullable()->index()->comment('给谁留言');
            $table->tinyInteger('secret')->default(0)->comment('是否悄悄话 (1是 0否)');
            $table->string('ip', 50)->nullable()->comment('留言者IP');
            $table->string('email', 250)->nullable()->comment('留言者邮箱');
            $table->string('web', 250)->nullable()->comment('留言者网站');
            $table->string('addr', 250)->nullable()->comment('留言者地址');
            $table->dateTime('post_time')->nullable()->index()->comment('留言时间');
            $table->string('text_title', 250)->nullable()->comment('留言标题');
            $table->text('text_body')->nullable()->comment('留言内容');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('guestbooks');
    }
};
